Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.treemasterdetail.internal.validation
Class TreeMasterDetailValidationInitiator

    java.lang.Object
      org.eclipse.emf.ecp.view.treemasterdetail.internal.validation.TreeMasterDetailValidationInitiator

All Implemented Interfaces:
  GlobalViewModelService, ViewModelService

    public class TreeMasterDetailValidationInitiator

extends Object
implements GlobalViewModelService

The TreeMasterDatailValidationInitiator searches for `VTreeMasterDetail` VElements and registers the necessary ViewModelContexts.

Author:
  Eugen Neufeld

Field Summary
`static String` | `DETAIL_KEY` The detail key passed to the view model context.
`static String` | `ROOT_KEY` Context key for the root.

Constructor Summary
`TreeMasterDetailValidationInitiator()` Constructor of the Initiator.

Method Summary
`void` | `childViewModelContextAdded(ViewModelContext childContext)` This method is called whenever a new `ViewModelContext` is added as a child context to the root `ViewModelContext` this `GlobalViewModelService` belongs to.
`void` | `dispose()` Dispose.
`int` | `getPriority()` Returns the priority for this view service.
`void` | `instantiate(ViewModelContext context)` Instantiate the view service.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DETAIL_KEY

    public static final String DETAIL_KEY

  The detail key passed to the view model context.

  See Also:
    Constant Field Values

### ROOT_KEY

    public static final String ROOT_KEY

  Context key for the root.

  See Also:
    Constant Field Values

Constructor Detail

### TreeMasterDetailValidationInitiator

    public TreeMasterDetailValidationInitiator()

  Constructor of the Initiator.

Method Detail

### instantiate

    public void instantiate(ViewModelContext context)

  Description copied from interface: `ViewModelService`
  Instantiate the view service.

  Specified by:
    `instantiate` in interface `ViewModelService`
  Parameters:
    `context` - the `ViewModelContext`

### dispose

    public void dispose()

  Description copied from interface: `ViewModelService`
  Dispose.

  Specified by:
    `dispose` in interface `ViewModelService`

### getPriority

    public int getPriority()

  Description copied from interface: `ViewModelService`
  Returns the priority for this view service.

  Specified by:
    `getPriority` in interface `ViewModelService`
  Returns:
    the priority

### childViewModelContextAdded

    public void childViewModelContextAdded(ViewModelContext childContext)

  This method is called whenever a new `ViewModelContext` is added as a child context to the root `ViewModelContext` this `GlobalViewModelService` belongs to.

  Specified by:
    `childViewModelContextAdded` in interface `GlobalViewModelService`
  Parameters:
    `childContext` - The `ViewModelContext` that was added.
  See Also:
    `GlobalViewModelService.childViewModelContextAdded(org.eclipse.emf.ecp.view.spi.context.ViewModelContext)`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.